Hi

I also need new version of azure-sdk-for-go to update packer >= 1.0.3

I've investigated how things will be broken if we update
azure-sdk-for-go up to 10
meanwhile updating azure-sdk-for-go, we need to update azure-go-autorest up to 8

Of cause this will be API incompatible.

The following packages depends azure sdk,
* docker-registry, build successfully after updating azure sdk
* packer, I will update it
* prometheus, ftbfs if update, but I have pushed a patch to fix that.
  
https://anonscm.debian.org/cgit/pkg-go/packages/prometheus.git/commit/?id=5647269

So I think we can update it now and things can be fixed.

If someone has time to sponsor me to upload the updates, please let me know.
I'm on #debian-golang, my irc nick is zhsj.


On Tue, 4 Apr 2017 08:05:21 +0000 "Potter, Tim" <timothy.pot...@hpe.com> wrote:
> On 3 Apr 2017, at 10:27 AM, Martín Ferrari <tin...@tincho.org> wrote:
> >
> > On 02/04/17 20:15, Jeffrey Cliff wrote:
> >> Package: golang-github-azure-azure-sdk-for-go-dev
> >> Version: 2.1.1~beta-3
> >>
> >> Upstream at github ( https://github.com/Azure/azure-sdk-for-go/releases
> >> ) there's been quite a bit of development activity (950+ commits) on the
> >> azure sdk and in particular ethereum has upgraded their required version
> >> to version 6.0.
> >
> > Wow, they sure seem to like to make major releases! :)
> >
> > We will have to see how to do this update without breaking stuff. I
> > can't imagine this will be API-compatible with 2.x?
>
> Yes that's pretty nuts.  I'm poking around at devendoring things for 
> Kubernetes,
> and it requires v7.0.1-beta so I'm keen on seeing this package updated as 
> well.
>
>
> Tim.

_______________________________________________
Pkg-go-maintainers mailing list
Pkg-go-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-go-maintainers

Reply via email to